Description

The following error is logged when attempting to enable the syslog-ng service:

Syslog-ng syntax test failed: [2015-01-28T17:54:49.523250] WARNING: Configuration file format is too old, syslog-ng is running in

compatibility mode Please update it to use the syslog-ng 3.6 format at your time of convinience, compatibility mode can operate less

efficiently in some cases. To upgrade the configuration, please review the warnings about incompatible changes printed by

syslog-ng, and once completed change the @version header at the top of the configuration file.; [2015-01-28T17:54:49.525332] Error

opening plugin module; module='afsocket-tls', error='Shared object "libsyslog-ng-crypto.so" not found, required by "libafsocket-tls.so"'

[2015-01-28T17:54:49.530844] Error opening plugin module; module='afmongodb', error='Shared object "libsyslog-ng-crypto.so" not

found, required by "libafmongodb.so"' [2015-01-28T17:54:49.534725] Error opening plugin module; module='afsocket', error='Shared

object "libsyslog-ng-crypto.so" not found, required by "libafsocket-tls.so"' [2015-01-28T17:54:49.541094] Error opening plugin

module; module='cryptofuncs', error='Shared object "libsyslog-ng-crypto.so" not found, required by "libcryptofuncs.so"'

[2015-01-28T17:54:49.543669] Error opening plugin module; module='dbparser', error='Shared object "libsyslog-ng-crypto.so" not

found, required by "libdbparser.so"'

History

#1 - 01/28/2015 07:04 PM - Chris Buechler

- Subject changed from syslog-ng package missing librarys to syslog-ng package missing libraries

#2 - 02/21/2015 11:51 PM - Joshua Ruehlig

I believe this is because these libraries are in the subfolder /usr/pbi/syslog-ng-amd64/lib/syslog-ng.

Normally /usr/local/lib and subfolders like /usr/local/lib/syslog-ng are indexed into the shared library. But since this is a PBI I think how this is usually

handled is whatever script/init is calling syslog-ng would call set.

LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/pbi/syslog-ng-amd64/lib

 Since some of the libraries are in a subfolder of lib, they also need to be added

LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/pbi/syslog-ng-amd64/lib:/usr/pbi/syslog-ng-amd64/lib/syslog-ng

#3 - 04/11/2015 02:56 PM - Joshua Ruehlig

It uninstalled and reinstalled this package and it is working now.

I believe it was fixed here 

https://redmine.pfsense.org/projects/pfsense-packages/repository/revisions/425e547428e4dd58d82b1dcd19ccd60cabf920a4

Thanks!

#4 - 07/12/2015 06:46 AM - Kill Bill

PBI stupidity "fixed" as noted above, can be closed.

#5 - 07/13/2015 11:09 AM - Chris Buechler

- Status changed from New to Resolved
